libstdc++

Public Types | List of all members
std::conditional< _Cond, _Iftrue, _Iffalse > Struct Template Reference

## Public Types

typedef _Iftrue | type

## Detailed Description

### template<bool _Cond, typename _Iftrue, typename _Iffalse>
struct std::conditional< _Cond, _Iftrue, _Iffalse >

Define a member typedef `type` to one of two argument types.

Definition at line 1780 of file type_traits.

The documentation for this struct was generated from the following file:

- type_traits